%define __libtoolize    /bin/true


%define lib_name_orig %mklibname kcall
%define lib_major 0
%define lib_name %lib_name_orig%lib_major

Name:           kcall
Summary:        KCall is the telephony application of Kontact
Version:        0.5.2
Release:        1mdk
Source:         %{name}-%{version}.tar.bz2
URL:           	http://www.basyskom.de/index.pl/kcalldownload
Group:		Graphical desktop/KDE
BuildRoot:      %_tmppath/%name-buildroot
License:		GPL
BuildRequires:	XFree86-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	arts-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRequires:	fam-devel
Requires:       kdebase >= 3.0.2
Requires:	%lib_name = %version-%release

%description
TELEPHONY INTEGRATION FOR KDE
KCall is the telephony application of Kontact. It supports computer 
telephony integration and at the same time integration into KDE's 
infrastructure. KCall does this by using KDE's addressbook, 
which in turn can be a server-based groupware addressbook.


%package -n %lib_name-devel
Summary:    Headers files for kcall
Group:      Development/KDE and Qt
Provides:   kcall-devel = %version-%release
Provides:   %lib_name_orig-devel = %epoch:%version-%release

%description -n %lib_name-devel
Headers files for kcall.

%package -n %lib_name
Summary:    Librairie files for kcall
Group:      Development/KDE and Qt
Provides:   kcall = %version-%release
Provides:   %lib_name_orig = %version-%release

%description -n %lib_name
Librairie files for kcall.


%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q



%build

make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%configure --disable-rpath

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


#Menu


install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Office/Communications/Phone" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/kcall.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}


%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %lib_name -p /sbin/ldconfig


%postun -n %lib_name -p /sbin/ldconfig

%files -n %lib_name-devel
%defattr(-,root,root,0755)
%_libdir/libkcallaudio.so
%_libdir/libdissipate2.so
%_libdir/libgsm.so
%_libdir/libilbc.so
%_libdir/libkcallsipsettings.so

%files -n %lib_name
%defattr(-,root,root,0755)
%_libdir/kde3/libkcallpart.la
%_libdir/kde3/libkcallpart.so
%_libdir/libkcallaudio.la
%_libdir/libkcallaudio.so.*
%_libdir/libdissipate2.la
%_libdir/libdissipate2.so.*
%_libdir/libgsm.la
%_libdir/libgsm.so.*
%_libdir/libilbc.la
%_libdir/libilbc.so.*
%_libdir/libkcallsipsettings.la
%_libdir/libkcallsipsettings.so.*

%files -f %name.lang
%defattr(-,root,root,0755)

%_menudir/kcall
%_bindir/kcall
%_bindir/kcallapplet

%_datadir/icons/crystalsvg/22x22/actions/phone_bell.png
%_datadir/icons/crystalsvg/22x22/actions/phone_connect.png
%_datadir/icons/crystalsvg/22x22/actions/phone_disconnect.png

%_datadir/applnk/Utilities/kcall.desktop
%_datadir/applnk/Utilities/kcallapplet.desktop

%dir %_datadir/apps/kcall/
%_datadir/apps/kcall/kcall_shell.rc

%dir %_datadir/apps/kcallpart/
%_datadir/apps/kcallpart/kcall_part.rc

%_datadir/config.kcfg/kcallsip.kcfg

%_datadir/icons/crystalsvg/128x128/apps/kcall.png
%_datadir/icons/crystalsvg/16x16/actions/phone_accept.png
%_datadir/icons/crystalsvg/16x16/actions/phone_connect.png
%_datadir/icons/crystalsvg/16x16/actions/phone_disconnect.png
%_datadir/icons/crystalsvg/16x16/actions/phone_reject.png
%_datadir/icons/crystalsvg/16x16/apps/kcall.png
%_datadir/icons/crystalsvg/22x22/apps/kcall.png
%_datadir/icons/crystalsvg/32x32/actions/phone_bell.png
%_datadir/icons/crystalsvg/32x32/actions/phone_connect.png
%_datadir/icons/crystalsvg/32x32/actions/phone_disconnect.png
%_datadir/icons/crystalsvg/32x32/apps/kcall.png
%_datadir/icons/crystalsvg/48x48/apps/kcall.png
%_datadir/icons/crystalsvg/64x64/apps/kcall.png

%_datadir/services/kcall_part.desktop


%changelog
* Sun Jul 10 2005 Laurent MONTEL <lmontel@mandriva.com> 0.5.2-1mdk
- 0.5.2

* Mon Jun 27 2005 Laurent MONTEL <lmontel@mandriva.com> 0.5.1-1mdk
- First package

